About
=====

> :bangbang: We're about to rename and move some repos in the near future, your existing projects should not be affected by these changes.

## Manifesto

**phd** is a holistic web-application template implementation, aiming on flexibility, modularization, performance and security on a minimal codebase.

It embraces a complete application life-cycle, from initial development over testing and CI to deployment.

Its toolset is infrastructure-agnostic and can be run on various platforms, such as Linux, OS X, Windows, AWS and other PaaS and cloud providers.

The standard modules are content-agnostic and include environment-based configuration, authentication and authorization, build-automation, testing, i18n, key/value-store, code-generation (Models/DAO, REST/API), prototyping and semantic-versioning.

The application is built upon Docker, PHP, Yii 2.0 Framework and composer packages. Whenever possible **phd** uses a stable version for images and libraries. It is designed to be able to use an immensely wide set of libraries.

Packages, plugins, extensions and libraries are hand-picked by core-developers, focussing on maintainability of the whole application stack, while it also follows the [12factor specifications](http://12factor.net).


Production ready and industrial grade delivery, with regular updates ensured through automated build processes. - **phd** is built, developed and maintained by dmstr. 


Special thanks
--------------

...go out to qiangxue, samdark, cebe, the yii core-devs, motin, mikehaertl, tonydspaniard, crisu83, thyseus, quexer69, marc7000 and disco-tex77 for their work, feedback and input.


Developed by
------------

[diemeisterei GmbH](http://diemeisterei.de)  
Immenhofer Straße 21  
70180 Stuttgart  
Germany :de:

- Core developer: Tobias Munk (schmunk42)
- [Contributors](https://github.com/phundament/app/graphs/contributors)




