# Toolchain

### Developer host-system

- docker
- docker-compose


### Toolchain

#### Docker

- Run anywhere!

##### Docker-Toolbox

- VirtualBox (or Cloud)
- docker-machine
- docker
- docker-compose
- docker-swarm

- docker-roj

### Docker images

- PHP
- Yii 2.0 extensions from dmstr https://github.com/dmstr?utf8=✓&query=yii2-

## Build


#### GitLab (CI)

- Dockerized build with `docker-compose` support
- GitLab CI
 - https://about.gitlab.com
 - http://docs.gitlab.com/ce/ci/yaml/README.html
 - dmstr/docker-gitlab-runner
- https://github.com/sameersbn
- toran
- registry
- registry-mirror
- https://github.com/Yelp/docker-custodian (cleanup)
- https://github.com/ZZROTDesign/docker-clean
- :orange_book: https://git.hrzg.de/herzog/gitlab-ci-cleanup



### CLI

    git docker-compose make

- lessc
- linkchecker
- yii
- codecept

## Deploy

- dmstr/docker-roj
 - dmstr/docker-toolbox

### Infrastructure

- swarm
- machine
- vagrant

#### oneba.se

- Cloud Computing Platform
- Domain Routing (1ba.se)
- Reverse Proxy Wildcard DNS (oneba.se)
- Load Balancer
- ELK logging
- SSL Termination
- Application domain
 - app-transporter.com
- Open Source Demo domain
 - osciv.com

#### Service discovery

- consul
- https://github.com/jwilder/nginx-proxy
- https://github.com/schmunk42/nginx-proxy
- https://github.com/neam/docker-stack
- https://github.com/schmunk42/docker-nginx-redirect

#### Storage

- AWS
 - ELB
 - EC2
 - S3
- FTP/STP

#### Monitoring

- elk
 - https://github.com/neam/docker-stack/tree/master/stacks/schmunk42/elk-v2
- phpservermon

### QA

- https://packagist.org
- https://loader.io
- https://semver.mwl.be
- http://www.arachni-scanner.com
- https://github.com/gaia-adm/pumba
- https://github.com/dmstr/docker-acception
- https://github.com/schmunk42/docker-ngxpagespeed

#### Lint

- php-cs-fixer


### Docs

- https://github.com/AkihiroSuda/docker-issues
- http://glyphsearch.com
- https://yii2-cookbook.readthedocs.org/README/
- https://github.com/samdark/yii2-cookbook


### Applications

- https://github.com/dmstr/docker-yii2-app


